=== debian/changelog ===
usplash (0.4-33) edgy; urgency=low

  * Fix usplash_down to avoid passing X and Y resolution to usplash on amd64
    (see changelog for 0.4-32; closes: Malone #66732).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 18:36:13 +0100

usplash (0.4-32) edgy; urgency=low

  [ Matthew Garrett ]
  
  * Update the x86emu code - should fix all sorts of amd64 bugs
  * Update the resolution matching code
  * Fix colour conversion in usplash_svga_put_part.  Malone: #64171
  
  [ Tollef Fog Heen ]
  * Add blatant lie to usplash-testcard-theme.c telling that a 640x400
    theme is a 16:9 theme.
  * Use bogl backend on amd64.  Malone: #56587
  * Don't pass X and Y resolution to usplash on AMD64, since we're using
    bogl and vga16fb there now.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 17 Oct 2006 02:30:03 +0200

usplash (0.4-31) edgy; urgency=low

  * Attempt to clean up broken artwork alternatives mess by forcing it to auto
    if upgrading from pre-0.4-31 and the target does not exist
    (Closes: LP#61313)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 30 Sep 2006 10:59:21 -0700

usplash (0.4-30) edgy; urgency=low

  * Don't use palette-based modes by default on vesa - not all hardware
    bothers to implement them
  * Don't save VBE state - we don't use it, and it makes nvidia users
    cry
  * Add more input updates from David
  * Add framebuffer support to svga builds - if a framebuffer is
    available, we'll attempt to use it
  * Restore original palette if appropriate
  * Fall back to lower modes if we're not successful at setting the
    first one

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 29 Sep 2006 01:49:28 +0100

usplash (0.4-29) edgy; urgency=low

  * Don't set the TIMEOUT to 0 in usplash_down, that doesn't do what
    somebody thought it did ...

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 21 Sep 2006 05:14:27 +0100

usplash (0.4-28) edgy; urgency=low

  * Do not flip back to the saved vt on termination, as the console
    messages are actually on vt8 underneath usplash!

  * Clear vt8 before quitting usplash so the font change isn't shown and
    the screen doesn't flicker too much.  Ubuntu: #61529.
  * Allow gdm, kdm, etc. to pass DO_NOT_SWITCH_VT=yes so we don't chvt
    after setting up the console (we can set it up on vt8 just fine).

  * This also means X is started from vt8, so doesn't flip back to vt1
    on termination, killing usplash.  Ubuntu: #61522.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 21 Sep 2006 04:38:04 +0100

usplash (0.4-27) edgy; urgency=low

  * Add TEXT-URGENT command which is always drawn.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 20 Sep 2006 14:47:32 +0200

usplash (0.4-26) edgy; urgency=low

  [ Matthew Garrett ]
  * Add libusplash.h to usplash-dev

  [ Colin Watson ]
  * Invoke usplash without -x and -y arguments if /etc/usplash.conf is
    missing or if either xres or yres is set to 0.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 20:29:12 +0100

usplash (0.4-25) edgy; urgency=low

  * Exit immediately if no theme is found that fits in the specified
    resolution.
  * Always check whether /etc/usplash.conf exists, and set it up if it
    doesn't. This allows ubiquity to remove usplash.conf and reconfigure
    usplash to configure usplash for the current system.
  * We can't open /dev/console or /dev/tty* when restoring the console on
    exit, because the initramfs has gone away. Instead, hold file
    descriptors open to these.
  * Use 'setupcon --force' in init script, since we don't have a tty
    (closes: Malone #60357).
  * Add #DEBHELPER# sections to postinst and postrm (closes: Malone #58559).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Sep 2006 18:58:22 +0100

usplash (0.4-24) edgy; urgency=low

  * Fix various compiler warnings.
  * Fix incorrect width/height used by usplash_put_part in BOGL backend.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Sep 2006 15:58:31 +0100

usplash (0.4-23) edgy; urgency=low

  * Discard errors while checking for setupcon.
  * Teach BOGL about 256-colour palettes.
  * Teach BOGL backend how to set resolution (closes: Malone #59628).
  * Suppress errors if /dev/tty[1-8] already exist (closes: Malone #59640).
  * Typographical improvements to manual pages.
  * Suppress usplash_write error if /dev/.initramfs doesn't exist yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Sep 2006 10:42:12 +0100

usplash (0.4-22) edgy; urgency=low

  * Install usplash_down

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  8 Sep 2006 15:10:07 -0700

usplash (0.4-21) edgy; urgency=low

  * Integrate further theming patches

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  8 Sep 2006 21:09:18 +0100

usplash (0.4-20dennis) edgy; urgency=low

  * SUPPORT themes that link in their own fonts. Do not REQUIRE them to do
    that.
  * Fix example

 -- Dennis Kaarsemaker <dennis@kaarsemaker.net>  Fri,  8 Sep 2006 20:43:20 +0200

usplash (0.4-20) edgy; urgency=low

  * Use setupcon if available instead of /etc/init.d/console-screen.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 23:54:15 +0100

usplash (0.4-19) edgy; urgency=low

  * Don't clear tty1, it might have important stuff sitting on it.

 -- Scott James Remnant <scott@ubuntu.com>  Thu,  7 Sep 2006 21:33:38 +0100

usplash (0.4-18) edgy; urgency=low

  * Fix nasty race between the signal handler and the VT switching code 
    as to who was supposed to be restoring text mode

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu,  7 Sep 2006 14:13:55 +0100

usplash (0.4-17dennis) edgy; urgency=low

  * Support multiple themes per file in a linked list. Themes can be tagged
    with USPLASH_4_3 or USPLASH_16_9 -- the latter is to indicate a cropped
    widescreen theme. Automatically select the best fitting theme, given -x
    and -y parameters or use the first theme in the list if no -x/-y parameter
  * TIMEOUT wasn't working due to a thinko. Removed gettimeofday in favor of
    simply counting cycles.


