=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 5.0.0), libgd2-dev, libpng-dev

Package: usplash
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30)
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

Package: usplash-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Theming support files for usplash
 This package contains everything you need to make a usplash theme, including an
 example
