## usplash 0.4-44

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,13 @@
 
 TARGETS = usplash usplash_write
 
+usplash_BACKEND_LDFLAGS = -ldl
+
 ifeq ($(BACKEND), svga)
 	BACKEND_dir = bogl svgalib
 	usplash_BACKEND = usplash_svga.o usplash_bogl.o
 	usplash_BACKEND_LIBS = svgalib/staticlib/libvgagl.a svgalib/staticlib/libvga.a bogl/libbogl.a
+	usplash_BACKEND_LDFLAGS += -lx86
 	CFLAGS += -DSVGA
 else
 	BACKEND_dir = bogl
@@ -30,12 +33,13 @@
 libusplash_OBJECTS = libusplash.o usplash-testcard.o usplash-testcard-theme.o $(usplash_BACKEND) bogl/helvB10.o
 usplash_LIBS = 
 
-usplash: libusplash.so usplash.c
+usplash: libusplash.so.0 usplash.c
 	$(COMPILE) -c usplash.c -o usplash.o
 	$(LINK) -o $@ usplash.o -L. -lusplash
 
-libusplash.so: $(libusplash_OBJECTS) $(usplash_BACKEND_LIBS)
-	$(CC) -shared -o $@ $^ -ldl
+libusplash.so.0: $(libusplash_OBJECTS) $(usplash_BACKEND_LIBS)
+	$(CC) -Wl,-soname=$@ -shared -o $@ $^ $(usplash_BACKEND_LDFLAGS)
+	ln -s $@ libusplash.so
 
 usplash_write_OBJECTS = usplash_write.o
 
@@ -64,7 +68,7 @@
 	$(INSTALL_PROGRAM) usplash $(DESTDIR)/sbin
 	$(INSTALL_PROGRAM) usplash_write $(DESTDIR)/sbin
 	$(INSTALL_PROGRAM) usplash_down $(DESTDIR)/sbin
-	$(INSTALL_PROGRAM) libusplash.so $(DESTDIR)/lib/libusplash.so.0
+	$(INSTALL_PROGRAM) libusplash.so.0 $(DESTDIR)/lib/libusplash.so.0
 	ln -sf /lib/libusplash.so.0 $(DESTDIR)/lib/libusplash.so
 	$(INSTALL_PROGRAM) bogl/pngtobogl $(DESTDIR)/usr/bin/pngtousplash
 	$(INSTALL_PROGRAM) bogl/bdftobogl $(DESTDIR)/usr/bin/bdftousplash
@@ -75,7 +79,7 @@
 clean:
 	-$(MAKE) -C bogl clean
 	-$(MAKE) -C svgalib clean
-	-rm -f $(TARGETS) $(usplash_OBJECTS) $(usplash_write_OBJECTS) libusplash.so
+	-rm -f $(TARGETS) $(usplash_OBJECTS) $(usplash_write_OBJECTS) libusplash.so*
 	-rm -f *~	
 	-rm -f *.o
