=== debian/changelog ===
usplash (0.4-44) feisty; urgency=low

  [ Colin Watson ]
  * Add XS-Vcs-Bzr field to debian/control.

  [ Martin Pitt ]
  * add debian/usplash.py: Apport package hook to check whether a crash
    happened in run_vm86(), which means a crash in the BIOS. We do not want
    crash reports about those, because they are useless. (LP: #94911)
  * debian/usplash.install: Install that hook into
    /usr/share/apport/package-hooks/.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  2 Apr 2007 15:04:31 +0200

usplash (0.4-43) feisty; urgency=low

  [ Ben Collins ]
  * Fix two serious bugs in handle_input:
    - It was free()ing a stack allocated char array.
    - Initialize fifo_outfd to -1 so we can conditionally close() it only
      when it was valid. In the INPUTENTER path, it would close() on an
      uninitialized value in fifo_outfd, causing all sorts of unpredictable
      problems.
  * Do not skip over writing to fifo_outfd in handle_input for INPUTENTER.
    Because of this, users of INPUTENTER could not block on the outfd to see
    when enter was actually pressed by the user.

  [ Colin Watson ]
  * Fix the init script to shut down usplash even if CONSOLE_SCREEN is empty
    (LP: #86606).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Feb 2007 12:31:39 +0000

usplash (0.4-42) feisty; urgency=low

  * Add Conflicts and Replaces: usplash-dev on libusplash-dev.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Sat, 10 Feb 2007 09:15:50 +0100

usplash (0.4-41) feisty; urgency=low

  * Add Replaces: usplash << 0.4-40 to libusplash0.  LP: #84284.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Sat, 10 Feb 2007 09:11:04 +0100

usplash (0.4-40) feisty; urgency=low

  * Split libusplash into its own little package to avoid having the -dev
    package depend on usplash itself.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri,  9 Feb 2007 14:15:54 +0100

usplash (0.4-39) feisty; urgency=low

  * Make usplash-dev depend on usplash.
  * Use a proper soname for usplash.
  * Install libusplash.so in /usr/lib and move it to usplash-dev.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri,  9 Feb 2007 12:24:02 +0100

usplash (0.4-38) feisty; urgency=low

  * Fix typo in usplash_write(8).
  * Only link libusplash.so against libx86, not usplash or usplash_write
    (LP: #83878).
  * Remove redundant debian/usplash.dirs and debian/usplash-dev.dirs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Feb 2007 10:21:56 +0000

usplash (0.4-37) feisty; urgency=low

  * Add brltty to the prerequisites of usplash's init-top script; if
    installed, it needs to run before usplash starts.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Feb 2007 17:25:06 +0000

usplash (0.4-36) feisty; urgency=low

  * Fix path in example theme Makefile (LP: #73005).
  * Depend on debconf.
  * Update usplash_write(8) to document TEXT-URGENT and PULSATE.
  * Switch to libx86, fixing svgalib on amd64 (LP: #67545).
  * Don't fall over if the bogl backend can't set the resolution, which
    won't be possible on several framebuffer implementations (LP: #81413).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Feb 2007 09:55:13 +0000

usplash (0.4-35) feisty; urgency=low

  * Add the new console-setup initramfs hook as a prerequisite rather than
    running setupcon after shutting down usplash.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jan 2007 14:27:46 +0000

usplash (0.4-34) feisty; urgency=low

  [ Matthew Garrett ]
  * Split out input handling code so usplash_get_string can be exported
  * Fix up resetting of text mode
  * Don't poke the VGA palette registers in non-8bpp depths

  [ Tollef Fog Heen ]
  * Make usplash_setup look at the config file for default resolution.

  [ Colin Watson ]
  * Tell setupcon to set up only the font; the keyboard can be set up while
    usplash is running.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Jan 2007 09:34:30 +0000
