=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	CFLAGS += -Os
 endif
 
-ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386))
+ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386 amd64))
 	BACKEND = "BACKEND=svga"
 else
 	BACKEND =
