=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
 Standards-Version: 3.6.2.1
-Build-Depends: debhelper (>= 5.0.0), libgd2-dev, libpng-dev, libx86-dev [amd64 i386]
+Build-Depends: debhelper (>= 5.0.0), libgd-dev, libpng-dev, libx86-dev [amd64 i386 lpia]
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/usplash/ubuntu
 
 Package: usplash
@@ -23,6 +23,7 @@
  This package contains the runtime library for the usplash package.
 
 Package: libusplash-dev
+Section: libdevel
 Architecture: any
 Conflicts: usplash-dev
 Replaces: usplash-dev
